%define lib_major	1
%define libname 	%mklibname timezonemap %lib_major
%define devlibname	%mklibname -d timezonemap
%define gir_major       1.0
%define gir_name        %mklibname timezonemap-gir %{gir_major}

Summary: Timezone map widget for GTK 3
Name: libtimezonemap
Version: 0.4.1
Release: %mkrel 2
Source0: %{name}_%{version}.tar.gz
License: GPLv3+
Group:   System/Libraries
Url:   https://launchpad.net/ubuntu/+source/libtimezonemap/
BuildRequires:  gnome-common
BuildRequires:	intltool
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(json-glib-1.0)

%description
This package contains a timezone map widget for GTK+3.



%package -n %libname
Summary:	Timezone map widget for GTK 3
Group:		System/Libraries
Requires:	libtimezonemap-data = %{version}-%{release}

%description -n %libname
This package contains a timezone map widget for GTK+3.

%package -n %gir_name
Summary:	Introspection bindings for %libname
Group:		System/Libraries
Requires:	%libname = %{version}-%{release}

%description -n %gir_name
This package contains the GObject Introspection bindings for the timezonemap
library.


%package -n %devlibname
Summary:	Development files for libtimezonemap
Group:		Development/C
Requires:	%libname = %{version}-%{release}

%description -n %devlibname
This package contains the development files for the timezonemap library.


%package data
Summary:	Data files for libtimezonemap
Group:		System/Libraries
BuildArch:	noarch

%description data
This package contains the data files needed by the timezonemap library.

%prep
%setup -q
[[ -x configure ]] || ./autogen.sh
%configure2_5x  --enable-introspection

%build
%make

%install
%makeinstall_std

%files -n %libname
%defattr(-,root,root)
%doc README
%{_libdir}/libtimezonemap.so.%{lib_major}*
%exclude %{_libdir}/*.la

%files -n %gir_name
%defattr(-,root,root)
%{_libdir}/girepository-1.0/TimezoneMap-1.0.typelib


%files -n %devlibname
%defattr(-,root,root)
%doc README
%dir %{_includedir}/timezonemap/
%dir %{_includedir}/timezonemap/timezonemap/
%{_includedir}/timezonemap/timezonemap/*.h
%{_libdir}/libtimezonemap.so
%{_libdir}/pkgconfig/timezonemap.pc
%{_datadir}/gir-1.0/TimezoneMap-1.0.gir


%files data
%defattr(-,root,root)
%doc README
%dir %{_datadir}/libtimezonemap/
%dir %{_datadir}/libtimezonemap/ui/
%{_datadir}/libtimezonemap/backward
%{_datadir}/libtimezonemap/ui/


%changelog
* Wed Nov 06 2013 tv <tv> 0.4.1-2.mga4
+ Revision: 549772
- a noarch package cannot require a library package

* Tue Nov 05 2013 tv <tv> 0.4.1-1.mga4
+ Revision: 549700
- typelib must require the library

* Tue Nov 05 2013 tv <tv> 0.4.1-0.1.mga4
+ Revision: 549624
- imported package libtimezonemap

